System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.Services.Description.NamedItem System.Xml.Serialization.XmlRoot("definitions", Namespace="http://schemas.xmlsoap.org/wsdl/") System.Web.Services.Configuration.XmlFormatExtensionPoint("Extensions")

Instances of this class can be created with either the new keyword or the static method, which parses a WSDL file and assigns its values to appropriate members of the class.

WSDL is an XML-based language for describing XML Web services. The class corresponds to the root element, definitions, of a WSDL file. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

Provides a means of creating and formatting a valid Web Services Description Language (WSDL) document file, complete with appropriate namespaces, elements, and attributes, for describing an XML Web service. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.BindingCollection To be added: an object of type 'BindingCollection'

  The returned by this property corresponds to the list of binding elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets the collection of elements contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("binding")
- Method
  System.Boolean `` To be added

  Gets a value that indicates whether an represents a valid Web Services Description Language (WSDL) file that can be parsed.

  true if the can recognize the node on which the is positioned; otherwise false.

  An 1.0.5000.0 2.0.0.0
- Property
  System.Web.Services.Description.ServiceDescriptionFormatExtensionCollection To be added: an object of type 'ServiceDescriptionFormatExtensionCollection' To be added

  Gets the collection of extensibility elements contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.Web.Services.Description.ImportCollection To be added: an object of type 'ImportCollection'

  The returned by this property corresponds to the list of import elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets the collection of elements contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("import")
- Property
  System.Web.Services.Description.MessageCollection To be added: an object of type 'MessageCollection'

  The returned by this property corresponds to the list of message elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets the collection of elements contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("message")
- Property
  System.String To be added To be added: an object of type 'string' To be added 1.0.5000.0 2.0.0.0 System.Xml.Serialization.XmlAttribute("name")
- Field
  System.String To be added

  The XML namespace in which the class is defined ("http://schemas.xmlsoap.org/wsdl/"). This field is constant.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.Services.Description.PortTypeCollection To be added: an object of type 'PortTypeCollection'

  The returned by this property corresponds to the list of portType elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets the collection of elements contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("portType")
- Method
  System.Web.Services.Description.ServiceDescription `` To be added

  Initializes an instance of the class by directly loading the XML from a instance.

  An instance of the .

  A , passed by reference, which contains the bytes to be read. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.ServiceDescription `` To be added

  Initializes an instance of the class by directly loading the XML from a .

  An instance of the .

  A instance, passed by reference, which contains the text to be read. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.ServiceDescription `` To be added

  Initializes an instance of a object by directly loading the XML from the specified file.

  An instance of the .

  The path to the file to be read. 1.0.5000.0 2.0.0.0
- Method
  System.Web.Services.Description.ServiceDescription `` To be added

  Initializes an instance of the class by directly loading the XML from an .

  An instance of the .

  An , passed by reference, which contains the XML data to be read. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Web.Services.Description.ServiceDescription `` `` To be added.

  Initializes an instance of the class by directly loading the XML from a instance.

  An instance of the .

  A , passed by reference, which contains the bytes to be read. A that indicates whether the XML should be validated against the schema specified by .
- Method
  2.0.0.0
  System.Web.Services.Description.ServiceDescription `` `` To be added. To be added.

  Initializes an instance of the class by directly loading the XML from a .

  An instance of the .

  A that indicates whether the XML should be validated against the schema specified by .
- Method
  2.0.0.0
  System.Web.Services.Description.ServiceDescription `` `` To be added.

  Initializes an instance of a object by directly loading the XML from the specified file.

  An instance of the .

  The path to the file to be read. A that indicates whether the XML should be validated against the schema specified by .
- Method
  2.0.0.0
  System.Web.Services.Description.ServiceDescription `` `` To be added.

  Initializes an instance of the class by directly loading the XML from an .

  An instance of the .

  An , passed by reference, which contains the XML data to be read. A that indicates whether the XML should be validated against the schema specified by .
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the URL of the XML Web service to which the instance applies.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  2.0.0.0
  System.Xml.Schema.XmlSchema To be added. To be added.

  Gets the schema associated with this .

- Property
  System.Xml.Serialization.XmlSerializer a

  The XML serializer can be customized using classes derived from the abstract class. These classes are specified in a configuration file using the serviceDescriptionFormatExtensionTypes element and its child add element. The configuration can be applied to an ASP.NET Web application that publishes a Web service.

  Gets the XML serializer used to serialize and deserialize between a object and a Web Services Description Language (WSDL) document.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.Web.Services.Description.ServiceDescriptionCollection To be added: an object of type 'ServiceDescriptionCollection' To be added

  Gets the instance of which the is a member.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
- Property
  System.Web.Services.Description.ServiceCollection To be added: an object of type 'ServiceCollection'

  The returned by this property corresponds to the list of service elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets the collection of instances contained in the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("service")
- Property
  System.String To be added: an object of type 'string' To be added

  Gets or sets the XML targetNamespace attribute of the descriptions tag enclosing a Web Services Description Language (WSDL) file.

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlAttribute("targetNamespace")
- Property
  System.Web.Services.Description.Types To be added: an object of type 'Types'

  The instance returned by this property corresponds to the list of types elements enclosed by the Web Services Description Language (WSDL) definitions root element. For more information about WSDL, see the specification at http://www.w3.org/TR/wsdl/.

  Gets or sets the contained by the .

  1.0.5000.0
  2.0.0.0
  System.Xml.Serialization.XmlElement("types")
- Property
  2.0.0.0
  System.Xml.Serialization.XmlIgnore
  System.Collections.Specialized.StringCollection To be added. To be added.

  Gets a that contains any validation warnings that were generated during a call to , , , or with the parameter set to true.

- Method
  System.Void `` To be added

  Writes out the to the specified .

  A , passed by reference, which contains the Web Services Description Language (WSDL) file produced. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Writes out the as a Web Services Description Language (WSDL) file to the .

  A that contains the WSDL file produced. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Writes out the as a Web Services Description Language (WSDL) file to the specified path.

  The path to which the WSDL file is written. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` To be added

  Writes out the to the as a Web Services Description Language (WSDL) file.

  An , passed by reference, which contains the WSDL file produced. 1.0.5000.0 2.0.0.0